Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_flux2.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_flux2.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_flux2.F90	(revision 5117)
@@ -21,28 +21,28 @@
 
     ! arguments
-    INTEGER, intent(in) :: ngrid, nlay
-    REAL, intent(in) :: ptimestep
-    REAL, intent(in), dimension(ngrid, nlay) :: masse
-    INTEGER, intent(in), dimension(ngrid) :: lalim, lmax
-    REAL, intent(in), dimension(ngrid, nlay) :: alim_star, entr_star, detr_star
-    REAL, intent(in), dimension(ngrid) :: f
-    REAL, intent(in), dimension(ngrid, nlay) :: rhobarz
-    REAL, intent(in), dimension(ngrid, nlay + 1) :: zw2, zlev
+    INTEGER, INTENT(IN) :: ngrid, nlay
+    REAL, INTENT(IN) :: ptimestep
+    REAL, INTENT(IN), DIMENSION(ngrid, nlay) :: masse
+    INTEGER, INTENT(IN), DIMENSION(ngrid) :: lalim, lmax
+    REAL, INTENT(IN), DIMENSION(ngrid, nlay) :: alim_star, entr_star, detr_star
+    REAL, INTENT(IN), DIMENSION(ngrid) :: f
+    REAL, INTENT(IN), DIMENSION(ngrid, nlay) :: rhobarz
+    REAL, INTENT(IN), DIMENSION(ngrid, nlay + 1) :: zw2, zlev
     ! FH : laisser ca le temps de verifier qu'on a bien fait de commenter les
     !      lignes faisant apparaitre zqla, zmax ...
-    !     REAL, intent(in), dimension(ngrid) :: zmax(ngrid)
+    !     REAL, INTENT(IN), DIMENSION(ngrid) :: zmax(ngrid)
     !     enlever aussi zqla
-    REAL, intent(in), dimension(ngrid, nlay) :: zqla  ! not used
-    integer, intent(in) :: lev_out, lunout1
-
-    REAL, intent(out), dimension(ngrid, nlay) :: entr, detr
-    REAL, intent(out), dimension(ngrid, nlay + 1) :: fm
+    REAL, INTENT(IN), DIMENSION(ngrid, nlay) :: zqla  ! not used
+    INTEGER, INTENT(IN) :: lev_out, lunout1
+
+    REAL, INTENT(OUT), DIMENSION(ngrid, nlay) :: entr, detr
+    REAL, INTENT(OUT), DIMENSION(ngrid, nlay + 1) :: fm
 
     ! local
     INTEGER ig, l
-    integer igout, lout
+    INTEGER igout, lout
     REAL zfm
-    integer ncorecfm1, ncorecfm2, ncorecfm3, ncorecalpha
-    integer ncorecfm4, ncorecfm5, ncorecfm6, ncorecfm7, ncorecfm8
+    INTEGER ncorecfm1, ncorecfm2, ncorecfm3, ncorecalpha
+    INTEGER ncorecfm4, ncorecfm5, ncorecfm6, ncorecfm7, ncorecfm8
 
     REAL f_old, ddd0, eee0, ddd, eee, zzz
@@ -52,8 +52,8 @@
     !$OMP THREADPRIVATE(fomass_max,alphamax)
 
-    logical check_debug, labort_physic
-
-    character (len = 20) :: modname = 'thermcell_flux2'
-    character (len = 80) :: abort_message
+    LOGICAL check_debug, labort_physic
+
+    CHARACTER (LEN = 20) :: modname = 'thermcell_flux2'
+    CHARACTER (LEN = 80) :: abort_message
 
     ncorecfm1 = 0
@@ -70,5 +70,5 @@
     fm(:, :) = 0.
 
-    if (prt_level>=10) THEN
+    IF (prt_level>=10) THEN
       WRITE(lunout1, *) 'Dans thermcell_flux 0'
       WRITE(lunout1, *) 'flux base ', f(igout)
@@ -90,9 +90,9 @@
     check_debug = .false..or.prt_level>=10
 
-    if (check_debug) THEN
+    IF (check_debug) THEN
       do l = 1, nlay
         do ig = 1, ngrid
-          if (l<=lmax(ig)) THEN
-            if (entr_star(ig, l)>1.) THEN
+          IF (l<=lmax(ig)) THEN
+            IF (entr_star(ig, l)>1.) THEN
               PRINT*, 'WARNING thermcell_flux 1 ig,l,lmax(ig)', ig, l, lmax(ig)
               PRINT*, 'entr_star(ig,l)', entr_star(ig, l)
@@ -101,5 +101,5 @@
             endif
           else
-            if (abs(entr_star(ig, l)) + abs(alim_star(ig, l)) + abs(detr_star(ig, l))>0.) THEN
+            IF (abs(entr_star(ig, l)) + abs(alim_star(ig, l)) + abs(detr_star(ig, l))>0.) THEN
               PRINT*, 'cas 1 : ig,l,lmax(ig)', ig, l, lmax(ig)
               PRINT*, 'entr_star(ig,l)', entr_star(ig, l)
@@ -124,5 +124,5 @@
     enddo
 
-    if (prt_level>=10) THEN
+    IF (prt_level>=10) THEN
       WRITE(lunout1, *) 'Dans thermcell_flux 1'
       WRITE(lunout1, *) 'flux base ', f(igout)
@@ -138,5 +138,5 @@
     do l = 1, nlay
       do ig = 1, ngrid
-        if (l<lmax(ig)) THEN
+        IF (l<lmax(ig)) THEN
           fm(ig, l + 1) = fm(ig, l) + entr(ig, l) - detr(ig, l)
         elseif(l==lmax(ig)) THEN
@@ -157,5 +157,5 @@
     do l = 1, nlay
       do ig = 1, ngrid
-        if (detr(ig, l)>fm(ig, l)) THEN
+        IF (detr(ig, l)>fm(ig, l)) THEN
           ncorecfm8 = ncorecfm8 + 1
           !              igout=ig
@@ -182,5 +182,5 @@
 
       do ig = 1, ngrid
-        if (l<lmax(ig)) THEN
+        IF (l<lmax(ig)) THEN
           fm(ig, l + 1) = fm(ig, l) + entr(ig, l) - detr(ig, l)
         elseif(l==lmax(ig)) THEN
@@ -199,5 +199,5 @@
       !     do l=1,nlay
       do ig = 1, ngrid
-        if (fm(ig, l + 1)<0.) THEN
+        IF (fm(ig, l + 1)<0.) THEN
           !              PRINT*,'fm1<0',l+1,lmax(ig),fm(ig,l+1)
           ncorecfm1 = ncorecfm1 + 1
@@ -208,5 +208,5 @@
       !     enddo
 
-      if (prt_level>=10) &
+      IF (prt_level>=10) &
               WRITE(lunout1, '(i4,4e14.4)') l, masse(igout, l) / ptimestep, &
                       entr(igout, l), detr(igout, l), fm(igout, l + 1)
@@ -215,13 +215,13 @@
       !Test sur fraca croissant
       !-------------------------------------------------------------------------
-      if (iflag_thermals_optflux==0) THEN
+      IF (iflag_thermals_optflux==0) THEN
         !     do l=1,nlay
         do ig = 1, ngrid
-          if (l>=lalim(ig).and.l<=lmax(ig) &
-                  .and.(zw2(ig, l + 1)>1.e-10).and.(zw2(ig, l)>1.e-10)) THEN
+          IF (l>=lalim(ig).AND.l<=lmax(ig) &
+                  .AND.(zw2(ig, l + 1)>1.e-10).AND.(zw2(ig, l)>1.e-10)) THEN
             !  zzz est le flux en l+1 a frac constant
             zzz = fm(ig, l) * rhobarz(ig, l + 1) * zw2(ig, l + 1)  &
                     / (rhobarz(ig, l) * zw2(ig, l))
-            if (fm(ig, l + 1)>zzz) THEN
+            IF (fm(ig, l + 1)>zzz) THEN
               detr(ig, l) = detr(ig, l) + fm(ig, l + 1) - zzz
               fm(ig, l + 1) = zzz
@@ -233,5 +233,5 @@
       endif
 
-      if (prt_level>=10) &
+      IF (prt_level>=10) &
               WRITE(lunout1, '(i4,4e14.4)') l, masse(igout, l) / ptimestep, &
                       entr(igout, l), detr(igout, l), fm(igout, l + 1)
@@ -241,8 +241,8 @@
       !test sur flux de masse croissant
       !-------------------------------------------------------------------------
-      if (iflag_thermals_optflux==0) THEN
+      IF (iflag_thermals_optflux==0) THEN
         !     do l=1,nlay
         do ig = 1, ngrid
-          if ((fm(ig, l + 1)>fm(ig, l)).and.(l>lalim(ig))) THEN
+          IF ((fm(ig, l + 1)>fm(ig, l)).AND.(l>lalim(ig))) THEN
             f_old = fm(ig, l + 1)
             fm(ig, l + 1) = fm(ig, l)
@@ -254,9 +254,9 @@
       endif
 
-      if (prt_level>=10) &
+      IF (prt_level>=10) &
               WRITE(lunout1, '(i4,4e14.4)') l, masse(igout, l) / ptimestep, &
                       entr(igout, l), detr(igout, l), fm(igout, l + 1)
 
-      !fin 1.eq.0
+      !fin 1.EQ.0
       !-------------------------------------------------------------------------
       !detr ne peut pas etre superieur a fm
@@ -268,5 +268,5 @@
         labort_physic = .FALSE.
         do ig = 1, ngrid
-          if (entr(ig, l)<0.) THEN
+          IF (entr(ig, l)<0.) THEN
             labort_physic = .TRUE.
             igout = ig
@@ -275,5 +275,5 @@
         enddo
 
-        if (labort_physic) THEN
+        IF (labort_physic) THEN
           PRINT*, 'N1 ig,l,entr', igout, lout, entr(igout, lout)
           abort_message = 'entr negatif'
@@ -282,5 +282,5 @@
 
         do ig = 1, ngrid
-          if (detr(ig, l)>fm(ig, l)) THEN
+          IF (detr(ig, l)>fm(ig, l)) THEN
             ncorecfm6 = ncorecfm6 + 1
             detr(ig, l) = fm(ig, l)
@@ -308,10 +308,10 @@
         labort_physic = .FALSE.
         do ig = 1, ngrid
-          if (entr(ig, l)<0.) THEN
+          IF (entr(ig, l)<0.) THEN
             labort_physic = .TRUE.
             igout = ig
           endif
         enddo
-        if (labort_physic) THEN
+        IF (labort_physic) THEN
           ig = igout
           PRINT*, 'ig,l,lmax(ig)', ig, l, lmax(ig)
@@ -326,5 +326,5 @@
       endif
 
-      if (prt_level>=10) &
+      IF (prt_level>=10) &
               WRITE(lunout1, '(i4,4e14.4)') l, masse(igout, l) / ptimestep, &
                       entr(igout, l), detr(igout, l), fm(igout, l + 1)
@@ -336,5 +336,5 @@
       !     do l=1,nlay
       do ig = 1, ngrid
-        if (fm(ig, l + 1)<0.) THEN
+        IF (fm(ig, l + 1)<0.) THEN
           detr(ig, l) = detr(ig, l) + fm(ig, l + 1)
           fm(ig, l + 1) = 0.
@@ -345,10 +345,10 @@
       labort_physic = .FALSE.
       do ig = 1, ngrid
-        if (detr(ig, l)<0.) THEN
+        IF (detr(ig, l)<0.) THEN
           labort_physic = .TRUE.
           igout = ig
         endif
       enddo
-      if (labort_physic) THEN
+      IF (labort_physic) THEN
         ig = igout
         PRINT*, 'cas 2 : ig,l,lmax(ig)', ig, l, lmax(ig)
@@ -360,5 +360,5 @@
       !    enddo
 
-      if (prt_level>=10) &
+      IF (prt_level>=10) &
               WRITE(lunout1, '(i4,4e14.4)') l, masse(igout, l) / ptimestep, &
                       entr(igout, l), detr(igout, l), fm(igout, l + 1)
@@ -385,7 +385,7 @@
       !    do l=1,nlay
       do ig = 1, ngrid
-        if (zw2(ig, l + 1)>1.e-10) THEN
+        IF (zw2(ig, l + 1)>1.e-10) THEN
           zfm = rhobarz(ig, l + 1) * zw2(ig, l + 1) * alphamax
-          if (fm(ig, l + 1) > zfm) THEN
+          IF (fm(ig, l + 1) > zfm) THEN
             f_old = fm(ig, l + 1)
             fm(ig, l + 1) = zfm
@@ -400,5 +400,5 @@
       !    enddo
 
-      if (prt_level>=10) &
+      IF (prt_level>=10) &
               WRITE(lunout1, '(i4,4e14.4)') l, masse(igout, l) / ptimestep, &
                       entr(igout, l), detr(igout, l), fm(igout, l + 1)
@@ -417,5 +417,5 @@
     !-----------------------------------------------------------------------
 
-    if (1==1) THEN
+    IF (1==1) THEN
       labort_physic = .FALSE.
       do l = 1, nlay - 1
@@ -425,8 +425,8 @@
           eee = entr(ig, l) - masse(ig, l) * fomass_max / ptimestep
           ddd = detr(ig, l) - eee
-          if (eee>0.) THEN
+          IF (eee>0.) THEN
             ncorecfm3 = ncorecfm3 + 1
             entr(ig, l) = entr(ig, l) - eee
-            if (ddd>0.) THEN
+            IF (ddd>0.) THEN
               !   l'entrainement est trop fort mais l'exces peut etre compense par une
               !   diminution du detrainement)
@@ -438,5 +438,5 @@
                 detr(ig, l) = fm(ig, l) + entr(ig, l)
               else
-                IF(l>=lmax(ig).and.0==1) THEN
+                IF(l>=lmax(ig).AND.0==1) THEN
                   igout = ig
                   lout = l
@@ -452,5 +452,5 @@
         enddo
       enddo
-      if (labort_physic) THEN
+      IF (labort_physic) THEN
         ig = igout
         l = lout
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_height.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_height.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_height.F90	(revision 5117)
@@ -13,17 +13,17 @@
 
 ! Entree
-      integer, intent(in) :: ngrid,nlay
-      real, intent(in), dimension(ngrid) :: linter,lintercong
-      real, intent(in), dimension(ngrid,nlay+1) :: zlev
+      INTEGER, INTENT(IN) :: ngrid,nlay
+      REAL, INTENT(IN), DIMENSION(ngrid) :: linter,lintercong
+      REAL, INTENT(IN), DIMENSION(ngrid,nlay+1) :: zlev
 ! Sortie
-      real, intent(out), dimension(ngrid) :: wmax,zmax,zmax0,zmix,zcong
-      integer, intent(out), dimension(ngrid) :: lmax,lcong
+      REAL, INTENT(OUT), DIMENSION(ngrid) :: wmax,zmax,zmax0,zmix,zcong
+      INTEGER, INTENT(OUT), DIMENSION(ngrid) :: lmax,lcong
 ! Les deux
-     integer, intent(inout), dimension(ngrid) :: lmix,lalim,lmin
-     real, intent(inout), dimension(ngrid,nlay+1) :: zw2
+     INTEGER, INTENT(INOUT), DIMENSION(ngrid) :: lmix,lalim,lmin
+     REAL, INTENT(INOUT), DIMENSION(ngrid,nlay+1) :: zw2
 
 ! local
-     real, dimension(ngrid) :: num,denom,zlevinter,zlevintercong
-     integer ig,l
+     REAL, DIMENSION(ngrid) :: num,denom,zlevinter,zlevintercong
+     INTEGER ig,l
 
 !calcul de la hauteur max du thermique
@@ -33,5 +33,5 @@
       do ig=1,ngrid
          do l=nlay,lalim(ig)+1,-1
-            if (zw2(ig,l)<=1.e-10) THEN
+            IF (zw2(ig,l)<=1.e-10) THEN
                lmax(ig)=l-1
             endif
@@ -42,5 +42,5 @@
 ! atteind le haut du modele ...
       do ig=1,ngrid
-      if ( zw2(ig,nlay) > 1.e-10 ) THEN
+      IF ( zw2(ig,nlay) > 1.e-10 ) THEN
           PRINT*,'WARNING !!!!! W2 thermiques non nul derniere couche '
           lmax(ig)=nlay
@@ -50,5 +50,5 @@
 ! pas de thermique si couche 1 stable
       do ig=1,ngrid
-         if (lmin(ig)>1) THEN
+         IF (lmin(ig)>1) THEN
              lmax(ig)=1
              lmin(ig)=1
@@ -64,6 +64,6 @@
       do l=1,nlay
          do ig=1,ngrid
-            if (l<=lmax(ig)) THEN
-                if (zw2(ig,l)<0.)THEN
+            IF (l<=lmax(ig)) THEN
+                IF (zw2(ig,l)<0.)THEN
                   PRINT*,'pb2 zw2<0'
                 endif
@@ -83,5 +83,5 @@
 
 !     if (iflag_thermals_ed.ge.1) THEN
-      if (1==0) THEN
+      IF (1==0) THEN
 !CR:date de quand le calcul du zmax continu etait buggue 
          num(:)=0.
@@ -94,5 +94,5 @@
        enddo
        do ig=1,ngrid
-       if (denom(ig)>1.e-10) THEN
+       IF (denom(ig)>1.e-10) THEN
           zmax(ig)=2.*num(ig)/denom(ig)
           zmax0(ig)=zmax(ig)
@@ -128,7 +128,7 @@
 ! def de  zmix continu (profil parabolique des vitesses)
       do ig=1,ngrid
-           if (lmix(ig)>1) THEN
+           IF (lmix(ig)>1) THEN
 ! test 
-              if (((zw2(ig,lmix(ig)-1)-zw2(ig,lmix(ig)))  &
+              IF (((zw2(ig,lmix(ig)-1)-zw2(ig,lmix(ig)))  &
           *((zlev(ig,lmix(ig)))-(zlev(ig,lmix(ig)+1)))  &
           -(zw2(ig,lmix(ig))-zw2(ig,lmix(ig)+1))  &
@@ -151,5 +151,5 @@
           endif
 !test
-         if ((zmax(ig)-zmix(ig))<=0.) THEN
+         IF ((zmax(ig)-zmix(ig))<=0.) THEN
             zmix(ig)=0.9*zmax(ig)
 !            PRINT*,'pb zmix>zmax'
@@ -160,5 +160,5 @@
       do ig=1,ngrid
          do l=1,nlay
-            if (zmix(ig)>=zlev(ig,l).and.  &
+            IF (zmix(ig)>=zlev(ig,l).AND.  &
             zmix(ig)<zlev(ig,l+1)) THEN
               lmix(ig)=l
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_ini.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_ini.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_ini.F90	(revision 5117)
@@ -3,5 +3,5 @@
 IMPLICIT NONE
 
-integer, protected :: dvdq=1,dqimpl=-1,prt_level=0,lunout
+INTEGER, protected :: dvdq=1,dqimpl=-1,prt_level=0,lunout
 real   , protected :: RG,RD,RCPD,RKAPPA,RLVTT,RLvCp,RETV
 
@@ -11,22 +11,22 @@
 
 ! Parameters that can be modified directly by a getin call
-real,    protected :: r_aspect_thermals=2.       ! Aspect ratio for thermal celles
-real,    protected :: tau_thermals = 0.          ! relaxation time constant
-real,    protected :: fact_thermals_ed_dz = 0.1  ! bouyancy computed with a delta
-real,    protected :: betalpha=0.9               !
-real,    protected :: afact=2./3.                !
-real,    protected :: fact_shell=1.              !
-real,    protected :: detr_min=1.e-5             !
-real,    protected :: entr_min=1.e-5             !
-real,    protected :: detr_q_coef=0.012          !
-real,    protected :: detr_q_power=0.5           !
-real,    protected :: mix0=0.                    !
-integer, protected :: iflag_thermals_ed = 0      !
-integer, protected :: iflag_thermals_optflux = 0 !
-integer, protected :: iflag_thermals_closure = 1 !
-integer, protected :: iflag_thermals_down = 0    !
-real, protected    :: fact_thermals_down = 0.5   !
-integer, protected :: thermals_flag_alim=0       !
-integer, protected :: iflag_thermals_tenv=0      ! 
+REAL,    protected :: r_aspect_thermals=2.       ! Aspect ratio for thermal celles
+REAL,    protected :: tau_thermals = 0.          ! relaxation time constant
+REAL,    protected :: fact_thermals_ed_dz = 0.1  ! bouyancy computed with a delta
+REAL,    protected :: betalpha=0.9               !
+REAL,    protected :: afact=2./3.                !
+REAL,    protected :: fact_shell=1.              !
+REAL,    protected :: detr_min=1.e-5             !
+REAL,    protected :: entr_min=1.e-5             !
+REAL,    protected :: detr_q_coef=0.012          !
+REAL,    protected :: detr_q_power=0.5           !
+REAL,    protected :: mix0=0.                    !
+INTEGER, protected :: iflag_thermals_ed = 0      !
+INTEGER, protected :: iflag_thermals_optflux = 0 !
+INTEGER, protected :: iflag_thermals_closure = 1 !
+INTEGER, protected :: iflag_thermals_down = 0    !
+REAL, protected    :: fact_thermals_down = 0.5   !
+INTEGER, protected :: thermals_flag_alim=0       !
+INTEGER, protected :: iflag_thermals_tenv=0      !
 
    ! WARNING !!! fact_epsilon is not protected. It can be modified in thermcell_plume*
@@ -52,9 +52,9 @@
    USE lmdz_ioipsl_getin_p, ONLY: getin_p
 
-integer, intent(in) :: iflag_thermals,prt_level_in,lunout_in
-real, intent(in) :: RG_in,RD_in,RCPD_in,RKAPPA_in,RLVTT_in,RETV_in,tau_thermals_in
+INTEGER, INTENT(IN) :: iflag_thermals,prt_level_in,lunout_in
+REAL, INTENT(IN) :: RG_in,RD_in,RCPD_in,RKAPPA_in,RLVTT_in,RETV_in,tau_thermals_in
 
 PRINT*,'thermcell_ini'
-      if (iflag_thermals==15.or.iflag_thermals==16) THEN
+      IF (iflag_thermals==15.OR.iflag_thermals==16) THEN
          dvdq=0
          dqimpl=-1
